Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 2561983002: NavigationController: Reload methods migration (Closed)

Created:
2 years, 12 months ago by Takashi Toyoshima
Modified:
2 years, 11 months ago
Reviewers:
palmer, Charlie Reis, jam
CC:
Aaron Boodman, abarth-chromium, achuith+watch_chromium.org, alemate+watch_chromium.org, chromium-apps-reviews_chromium.org, chromium-reviews, creis+watch_chromium.org, darin (slow to review), darin-cc_chromium.org, davemoore+watch_chromium.org, devtools-reviews_chromium.org, extensions-reviews_chromium.org, jochen+watch_chromium.org, loading-reviews_chromium.org, mlamouri+watch-content_chromium.org, mmenke, nasko+codewatch_chromium.org, oshima+watch_chromium.org, Peter Beverloo, pfeldman, qsr+mojo_chromium.org, Randy Smith (Not in Mondays), viettrungluu+watch_chromium.org, yzshen+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

NavigationController: Reload methods migration Use the new Reload() method with a ReloadType from everywhere, and remove old Reload*() methods. BUG=670232 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_site_isolation TBR=bajones@chromium.org, jam@chromium.org Committed: https://crrev.com/6142d96f1502d098a9945ff69499321ca48e691b Cr-Commit-Position: refs/heads/master@{#439439}

Patch Set 1 #

Patch Set 2 : android build fix #

Total comments: 2

Patch Set 3 : remove default param #

Patch Set 4 : rebase #

Patch Set 5 : typo #

Patch Set 6 : android and mac build fix #

Patch Set 7 : one more mac build fix #

Total comments: 31

Patch Set 8 : check |false| cases and update comments #

Patch Set 9 : merge master #

Unified diffs Side-by-side diffs Delta from patch set Stats (+141 lines, -156 lines) Patch
M blimp/engine/session/tab.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/android/vr_shell/vr_shell.cc View 1 2 3 4 5 6 7 8 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/browser/apps/guest_view/web_view_browsertest.cc View 1 2 3 4 5 6 7 8 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/autofill/autofill_interactive_uitest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/captive_portal/captive_portal_browsertest.cc View 1 2 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/captive_portal/captive_portal_tab_reloader.cc View 1 2 3 4 5 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/browser/chromeos/login/ui/simple_web_view_dialog.cc View 1 2 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/devtools/devtools_ui_bindings.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/extensions/api/tabs/tabs_api.cc View 1 2 1 chunk +4 lines, -3 lines 0 comments Download
M chrome/browser/extensions/extension_action_runner.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/extensions/extension_action_runner_browsertest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/extensions/navigation_observer.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/gpu/three_d_api_observer.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/history/history_browsertest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/interstitials/chrome_controller_client.cc View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/memory/tab_manager_unittest.cc View 1 2 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/plugins/flash_permission_context.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/plugins/plugin_observer.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/previews/previews_infobar_delegate.cc View 1 2 3 4 5 6 7 8 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/renderer_context_menu/render_view_context_menu.cc View 1 2 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/repost_form_warning_browsertest.cc View 1 2 3 chunks +4 lines, -4 lines 0 comments Download
M chrome/browser/ui/browser_commands.cc View 1 2 3 4 5 6 7 8 2 chunks +5 lines, -5 lines 0 comments Download
M chrome/browser/ui/browser_instant_controller.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/browser_navigator.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/cocoa/applescript/tab_applescript.mm View 1 2 3 4 5 7 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/collected_cookies_infobar_delegate.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/javascript_dialogs/javascript_dialog_browsertest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/sad_tab.cc View 1 2 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/ui/tabs/tab_strip_model.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/website_settings/website_settings_infobar_delegate.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M components/subresource_filter/content/browser/content_subresource_filter_driver_factory.cc View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download
M content/browser/child_process_security_policy_browsertest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M content/browser/devtools/protocol/page_handler.cc View 1 2 3 4 1 chunk +4 lines, -4 lines 0 comments Download
M content/browser/devtools/render_frame_devtools_agent_host.cc View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download
M content/browser/frame_host/navigation_controller_android.cc View 1 2 3 4 5 6 7 2 chunks +4 lines, -3 lines 0 comments Download
M content/browser/frame_host/navigation_controller_impl.h View 1 2 1 chunk +1 line, -7 lines 0 comments Download
M content/browser/frame_host/navigation_controller_impl.cc View 1 2 2 chunks +3 lines, -16 lines 0 comments Download
M content/browser/frame_host/navigation_controller_impl_browsertest.cc View 1 2 9 chunks +24 lines, -22 lines 0 comments Download
M content/browser/frame_host/navigation_controller_impl_unittest.cc View 1 2 3 4 5 6 7 8 8 chunks +8 lines, -8 lines 0 comments Download
M content/browser/frame_host/navigator_impl_unittest.cc View 1 2 3 4 5 6 7 8 2 chunks +2 lines, -2 lines 0 comments Download
M content/browser/frame_host/render_frame_host_manager_unittest.cc View 1 2 3 4 5 6 7 8 3 chunks +3 lines, -3 lines 0 comments Download
M content/browser/loader/resource_dispatcher_host_browsertest.cc View 1 2 1 chunk +2 lines, -1 line 0 comments Download
M content/browser/web_contents/web_contents_impl.cc View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download
M content/browser/web_contents/web_contents_view_aura_browsertest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M content/public/browser/navigation_controller.h View 1 2 3 4 5 6 7 1 chunk +7 lines, -23 lines 0 comments Download
M content/public/browser/reload_type.h View 1 chunk +12 lines, -5 lines 0 comments Download
M content/public/test/test_renderer_host.cc View 1 2 3 4 5 6 7 8 2 chunks +2 lines, -2 lines 0 comments Download
M content/shell/browser/shell.cc View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M content/shell/browser/shell_web_contents_view_delegate_mac.mm View 1 2 3 4 5 6 7 1 chunk +1 line, -1 line 0 comments Download
M extensions/browser/guest_view/web_view/web_view_apitest.cc View 1 2 1 chunk +2 lines, -1 line 0 comments Download
M extensions/browser/guest_view/web_view/web_view_guest.cc View 1 2 3 4 5 6 7 8 2 chunks +2 lines, -2 lines 0 comments Download
M services/navigation/public/interfaces/view.mojom View 1 chunk +1 line, -1 line 0 comments Download
M services/navigation/view_impl.h View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download
M services/navigation/view_impl.cc View 1 2 3 4 5 6 7 8 1 chunk +5 lines, -5 lines 0 comments Download

Dependent Patchsets:

Messages

Total messages: 40 (27 generated)
Takashi Toyoshima
+creis@ for content and navigation +jam@ for chrome +palmer for naming change in mojom
2 years, 12 months ago (2016-12-09 10:01:30 UTC) #7
jam
https://codereview.chromium.org/2561983002/diff/20001/content/public/browser/navigation_controller.h File content/public/browser/navigation_controller.h (right): https://codereview.chromium.org/2561983002/diff/20001/content/public/browser/navigation_controller.h#newcode359 content/public/browser/navigation_controller.h:359: ReloadType reload_type = ReloadType::NORMAL) = 0; this is not ...
2 years, 12 months ago (2016-12-09 17:38:40 UTC) #8
palmer
RS LGTM.
2 years, 12 months ago (2016-12-09 21:10:32 UTC) #9
Takashi Toyoshima
https://codereview.chromium.org/2561983002/diff/20001/content/public/browser/navigation_controller.h File content/public/browser/navigation_controller.h (right): https://codereview.chromium.org/2561983002/diff/20001/content/public/browser/navigation_controller.h#newcode359 content/public/browser/navigation_controller.h:359: ReloadType reload_type = ReloadType::NORMAL) = 0; Oops. Thanks, I'd ...
2 years, 12 months ago (2016-12-13 11:20:32 UTC) #20
Takashi Toyoshima
jam: ptal
2 years, 11 months ago (2016-12-14 03:53:36 UTC) #25
Charlie Reis
Thanks-- LGTM, but let's get jam@'s opinion on the overload idea. https://codereview.chromium.org/2561983002/diff/120001/content/public/browser/navigation_controller.h File content/public/browser/navigation_controller.h (right): ...
2 years, 11 months ago (2016-12-15 01:32:41 UTC) #26
Takashi Toyoshima
Thanks. I quickly checked all use cases that use |false|. In short, there is only ...
2 years, 11 months ago (2016-12-15 06:21:52 UTC) #27
Charlie Reis
https://codereview.chromium.org/2561983002/diff/120001/content/browser/frame_host/navigation_controller_android.cc File content/browser/frame_host/navigation_controller_android.cc (right): https://codereview.chromium.org/2561983002/diff/120001/content/browser/frame_host/navigation_controller_android.cc#newcode343 content/browser/frame_host/navigation_controller_android.cc:343: navigation_controller_->Reload(ReloadType::ORIGINAL_REQUEST_URL, false); On 2016/12/15 06:21:52, toyoshim wrote: > This ...
2 years, 11 months ago (2016-12-15 18:44:03 UTC) #28
Takashi Toyoshima
ok, since we could not have an answer from jam@ about overloads yet, and creis@ ...
2 years, 11 months ago (2016-12-19 06:02:57 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2561983002/160001
2 years, 11 months ago (2016-12-19 07:19:33 UTC) #34
commit-bot: I haz the power
Committed patchset #9 (id:160001)
2 years, 11 months ago (2016-12-19 09:08:00 UTC) #37
commit-bot: I haz the power
Patchset 9 (id:??) landed as https://crrev.com/6142d96f1502d098a9945ff69499321ca48e691b Cr-Commit-Position: refs/heads/master@{#439439}
2 years, 11 months ago (2016-12-19 09:12:00 UTC) #39
jam
2 years, 11 months ago (2016-12-19 18:20:40 UTC) #40
Message was sent while issue was closed.
On 2016/12/19 06:02:57, toyoshim wrote:
> ok, since we could not have an answer from jam@ about overloads yet, and
creis@
> can be ok with Plan 1 after noticing we still have considerable numbers of
both
> callers using with true and false, I'd submit this Plan 1 as is with TBR.

sorry  I missed the earlier message. lgtm

Powered by Google App Engine
This is Rietveld 408576698